Bug 179831 - unzip fails for large files (3GB) in zip archive
unzip fails for large files (3GB) in zip archive
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 04:20 EST by Thomas Steudten
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 08:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Steudten 2006-02-03 04:20:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
unzip fails for large files in zip archive with message:
"error:  invalid compressed data to inflate"

Version-Release number of selected component (if applicable):
unzip-5.51-10

How reproducible:
Always

Steps to Reproduce:
1. Add 2 files (one 3GB bb, one <1MB cc) to zip: "zip a.zip bb cc" unzip -v a.zip
Archive:  a.zip
 Length   Method    Size  Ratio   Date   Time   CRC-32    Name ("^" ==> case
--------  ------  ------- -----   ----   ----   ------    ----   conversion)
3227215839  Defl:N 3211820154   1%  02-02-06 20:19  93adbffd  bb
     295  Defl:N      195  34%  01-19-06 19:53  762a3a49  cc
--------          -------  ---                            -------
3227216134         3211820349   1%                            2 files

2. Test: "unzip -t a.zip" gives "error:  invalid compressed data to inflate"
3. unzip a.zip fails: file bb has size zero.
  

Actual Results:  Extraction of large file in archive fails (size zero)

Expected Results:  Extraction of all files in archive ok.

Additional info:
Comment 1 Ivana Varekova 2006-02-09 08:38:57 EST
This bug is fixed in the last upstream version of unzip (UnZip 6.00c) so the
next stable upstream version will not contain this problem. 

Note You need to log in before you can comment on or make changes to this bug.